Runs

A run is a specific execution of a pipeline at a specific point in time. A run is made up of multiple tasks that all execute according to their dependency on each other.


List all runs

GET/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/runs

Returns a list of all runs by pipeline id.

Path parameters

NameTypeRequiredDescription
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.

Query parameters

NameTypeRequiredDescription
limitintegerno
offsetintegerno
reversebooleanno
sinceintegernoOnly return runs created at or after this time, in epoch milliseconds.

Responses

StatusBodyDescription
200ListRunsResponsesuccessful operation
4XXErrorError
5XXErrorError

Start a run of a particular pipeline

POST/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/runs

Path parameters

NameTypeRequiredDescription
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.

Request body (required): StartRunRequest

Responses

StatusBodyDescription
201StartRunResponsesuccessful creation
4XXErrorError
5XXErrorError

Get run by id

GET/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/runs/{run_id}

Path parameters

NameTypeRequiredDescription
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.
run_idintegeryesThe unique identifier for the target run.

Responses

StatusBodyDescription
200GetRunResponsesuccessful operation
4XXErrorError
5XXErrorError

Cancel a run by id

DELETE/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/runs/{run_id}

Path parameters

NameTypeRequiredDescription
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.
run_idintegeryesThe unique identifier for the target run.

Responses

StatusBodyDescription
204nonesuccessful deletion
4XXErrorError
5XXErrorError